- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# glfuncs Class Reference

`#include <glfuncs.h>`

List of all members.

## Public Member Functions
| void (APIENTRY *glBegin)(GLenum)
| void (APIENTRY *glEnd)()
| void (APIENTRY *glVertex3f)(GLfloat
| void (APIENTRY *glClearColor)(GLfloat
| void (APIENTRY *glClear)(GLbitfield)
| void (APIENTRY *glDisable)(GLenum)
| void (APIENTRY *glEnable)(GLenum)
| void (APIENTRY *glColor4ub)(GLubyte
| void (APIENTRY *glPointSize)(GLfloat)
| void (APIENTRY *glHint)(GLenum
| void (APIENTRY *glBlendFunc)(GLenum
| void (APIENTRY *glMatrixMode)(GLenum)
| void (APIENTRY *glLoadIdentity)()
| void (APIENTRY *glOrtho)(GLdouble
| void (APIENTRY *glRotatef)(GLfloat
| void (APIENTRY *glViewport)(GLint
| void (APIENTRY *glFogf)(GLenum
| void (APIENTRY *glGenTextures)(GLsizei
GLuint * | void (APIENTRY *glBindTexture)(GLenum
| void (APIENTRY *glTexParameteri)(GLenum
| void (APIENTRY *glTexImage2D)(GLenum
const GLvoid * | void (APIENTRY *glColor3f)(GLfloat
| void (APIENTRY *glVertex2f)(GLfloat
| void (APIENTRY *glTexCoord2f)(GLfloat
| void (APIENTRY *glTexEnvf)(GLenum
| void (APIENTRY *glColor4f)(GLfloat
| void (APIENTRY *glDepthMask)(GLboolean)
| void (APIENTRY *glClearDepth)(GLclampd)
| void (APIENTRY *glDepthFunc)(GLenum)
| void (APIENTRY *glShadeModel)(GLenum)
| void (APIENTRY *glFinish)()
| GLuint (APIENTRY *glGenLists)(GLsizei)
| void (APIENTRY *glDeleteLists)(GLuint
| void (APIENTRY *glPopAttrib)()
| void (APIENTRY *glCallLists)(GLsizei
const GLvoid * | void (APIENTRY *glListBase)(GLuint)
| void (APIENTRY *glPushAttrib)(GLbitfield)
| void (APIENTRY *glRasterPos2f)(GLfloat
| void (APIENTRY *glGetBooleanv)(GLenum
GLboolean * | void (APIENTRY *glEndList)()
| void (APIENTRY *glTranslated)(GLdouble
| void (APIENTRY *glNewList)(GLuint
| void (APIENTRY *glVertex2i)(GLint
| void (APIENTRY *glPopMatrix)()
| void (APIENTRY *glPushMatrix)()
| void (APIENTRY *glDeleteTextures)(GLsizei
const GLuint * | void (APIENTRY *wglUseFontBitmapsA)(HDC
GLuint | buildFont (double scale, double width, double height, int fontTexture)
GLvoid | killFont ()
GLvoid | glPrint (GLint x, GLint y, std::string text, bool small=false)
GLuint | SDL_GL_LoadTexture (SDL_Surface *surface, GLfloat *texcoord)
int | loadTexture (std::string filename, GLfloat coords[4], SDL_Rect &rect)
## Static Public Member Functions
static glfuncs * | instance ()
static SDL_Surface * | load_image (std::string filename)
static int | power_of_two (int input)
static bool | intersect (SDL_Rect &A, SDL_Rect &B, int *x=NULL, int *y=NULL)
static bool | intersectX (SDL_Rect &A, SDL_Rect &B, int *x=NULL)
static bool | intersectY (SDL_Rect &A, SDL_Rect &B, int *y=NULL)
## Public Attributes
| GLfloat
| GLubyte
| GLenum
| GLdouble
| GLint
| GLsizei
GLuint * | GLuint
const GLvoid * | GLfloat
const GLvoid | GLfloat
const GLuint * | long
const GLuint | long
## Private Member Functions
| glfuncs ()
void * | get_funcaddr (const char *p)
void | init_glfuncs ()
## Private Attributes
GLuint | _bigBase
GLuint | _smallBase
GLuint | _bigFont
GLuint | _smallFont
## Static Private Attributes
static glfuncs * | _instance = NULL

## Detailed Description

Definition at line 13 of file glfuncs.h.

## Constructor & Destructor Documentation

glfuncs::glfuncs | ( |  | ) | `[private]`

| Definition at line 11 of file glfuncs.cpp. References _bigBase, _bigFont, _smallBase, _smallFont, buildFont(), GLfloat, init_glfuncs(), and loadTexture(). Referenced by instance().

## Member Function Documentation

GLuint glfuncs::buildFont | ( | double | scale,
|  | double | width,
|  | double | height,
|  | int | fontTexture
| ) |

| Definition at line 321 of file glfuncs.cpp. References GLuint. Referenced by glfuncs().

void * glfuncs::get_funcaddr | ( | const char * | p | ) | `[private]`

| Definition at line 33 of file glfuncs.cpp. Referenced by init_glfuncs().

GLvoid glfuncs::glPrint | ( | GLint | x,
|  | GLint | y,
|  | std::string | text,
|  | bool | small = `false`
| ) |

| Definition at line 404 of file glfuncs.cpp. References _bigBase, _bigFont, _smallBase, _smallFont, Screen::height(), and Screen::width(). Referenced by NewGameMenu::draw(), SelectKeyMenu::draw(), Menu::draw(), Weapon::drawAmmo(), Screen::drawCutScene(), Screen::drawText(), and Menu::drawTitle().

glfuncs::GLuint | ( | APIENTRY * | glGenLists | ) |

void glfuncs::init_glfuncs | ( |  | ) | `[private]`

| Definition at line 47 of file glfuncs.cpp. References get_funcaddr(), GLdouble, GLenum, GLfloat, GLint, GLsizei, GLubyte, GLuint, long, and void(). Referenced by glfuncs().

glfuncs * glfuncs::instance | ( |  | ) | `[static]`

| Definition at line 26 of file glfuncs.cpp. References _instance, and glfuncs(). Referenced by NewGameMenu::draw(), SelectKeyMenu::draw(), Menu::draw(), Background::draw(), Weapon::drawAmmo(), Screen::drawCutScene(), Screen::drawLevel(), Screen::drawLoading(), Screen::drawScreen(), Screen::drawText(), Menu::drawTitle(), Level::loadPixelFile(), loadPixelFile(), main(), Menu::mainLoop(), Game::mainLoop(), Level::readObjects(), readObjects(), Level::readTextures(), readTextures(), Screen::Screen(), SelectKeyMenu::select(), Sprite::Sprite(), and Background::~Background().

bool glfuncs::intersect | ( | SDL_Rect & | A,
|  | SDL_Rect & | B,
|  | int * | x = `NULL`,
|  | int * | y = `NULL`
| ) | `[static]`

| Definition at line 218 of file glfuncs.cpp. References intersectX(), and intersectY(). Referenced by Screen::drawLevel(), and Bullet::update().

bool glfuncs::intersectX | ( | SDL_Rect & | A,
|  | SDL_Rect & | B,
|  | int * | x = `NULL`
| ) | `[static]`

| Definition at line 223 of file glfuncs.cpp. Referenced by Person::collide(), ShootInRangeCommand::execute(), AimCommand::execute(), intersect(), and Screen::update().

bool glfuncs::intersectY | ( | SDL_Rect & | A,
|  | SDL_Rect & | B,
|  | int * | y = `NULL`
| ) | `[static]`

| Definition at line 268 of file glfuncs.cpp. Referenced by Person::collide(), ShootInRangeCommand::execute(), intersect(), and Screen::update().

GLvoid glfuncs::killFont | ( |  | ) |

| Definition at line 395 of file glfuncs.cpp. References _bigBase, and _smallBase.

SDL_Surface * glfuncs::load_image | ( | std::string | filename | ) | `[static]`

| Definition at line 188 of file glfuncs.cpp. Referenced by Level::levelObjectLoad(), Level::levelTextureLoad(), Level::loadPixelFile(), loadPixelFile(), loadTexture(), main(), Level::readObjects(), readObjects(), Level::readTextures(), and readTextures().

int glfuncs::loadTexture | ( | std::string | filename,
|  | GLfloat | coords[4],
|  | SDL_Rect & | rect
| ) |

| Definition at line 465 of file glfuncs.cpp. References load_image(), and SDL_GL_LoadTexture(). Referenced by glfuncs(), and Sprite::Sprite().

int glfuncs::power_of_two | ( | int | input | ) | `[static]`

| Definition at line 104 of file glfuncs.cpp. Referenced by SDL_GL_LoadTexture().

GLuint glfuncs::SDL_GL_LoadTexture | ( | SDL_Surface * | surface,
|  | GLfloat * | texcoord
| ) |

| Definition at line 114 of file glfuncs.cpp. References GLfloat, GLuint, and power_of_two(). Referenced by loadTexture(), and main().

const GLuint* glfuncs::void | ( | APIENTRY * | wglUseFontBitmapsA | ) |

glfuncs::void | ( | APIENTRY * | glDeleteTextures | ) |

glfuncs::void | ( | APIENTRY * | glPushMatrix | ) |

glfuncs::void | ( | APIENTRY * | glPopMatrix | ) |

glfuncs::void | ( | APIENTRY * | glVertex2i | ) |

glfuncs::void | ( | APIENTRY * | glNewList | ) |

glfuncs::void | ( | APIENTRY * | glTranslated | ) |

GLboolean* glfuncs::void | ( | APIENTRY * | glEndList | ) |

glfuncs::void | ( | APIENTRY * | glGetBooleanv | ) |

glfuncs::void | ( | APIENTRY * | glRasterPos2f | ) |

glfuncs::void | ( | APIENTRY * | glPushAttrib | ) |

const GLvoid* glfuncs::void | ( | APIENTRY * | glListBase | ) |

glfuncs::void | ( | APIENTRY * | glCallLists | ) |

glfuncs::void | ( | APIENTRY * | glPopAttrib | ) |

glfuncs::void | ( | APIENTRY * | glDeleteLists | ) |

glfuncs::void | ( | APIENTRY * | glFinish | ) |

glfuncs::void | ( | APIENTRY * | glShadeModel | ) |

glfuncs::void | ( | APIENTRY * | glDepthFunc | ) |

glfuncs::void | ( | APIENTRY * | glClearDepth | ) |

glfuncs::void | ( | APIENTRY * | glDepthMask | ) |

glfuncs::void | ( | APIENTRY * | glColor4f | ) |

glfuncs::void | ( | APIENTRY * | glTexEnvf | ) |

glfuncs::void | ( | APIENTRY * | glTexCoord2f | ) |

glfuncs::void | ( | APIENTRY * | glVertex2f | ) |

const GLvoid* glfuncs::void | ( | APIENTRY * | glColor3f | ) |

glfuncs::void | ( | APIENTRY * | glTexImage2D | ) |

glfuncs::void | ( | APIENTRY * | glTexParameteri | ) |

GLuint* glfuncs::void | ( | APIENTRY * | glBindTexture | ) |

glfuncs::void | ( | APIENTRY * | glGenTextures | ) |

glfuncs::void | ( | APIENTRY * | glFogf | ) |

glfuncs::void | ( | APIENTRY * | glViewport | ) |

glfuncs::void | ( | APIENTRY * | glRotatef | ) |

glfuncs::void | ( | APIENTRY * | glOrtho | ) |

glfuncs::void | ( | APIENTRY * | glLoadIdentity | ) |

glfuncs::void | ( | APIENTRY * | glMatrixMode | ) |

glfuncs::void | ( | APIENTRY * | glBlendFunc | ) |

glfuncs::void | ( | APIENTRY * | glHint | ) |

glfuncs::void | ( | APIENTRY * | glPointSize | ) |

glfuncs::void | ( | APIENTRY * | glColor4ub | ) |

glfuncs::void | ( | APIENTRY * | glEnable | ) |

glfuncs::void | ( | APIENTRY * | glDisable | ) |

glfuncs::void | ( | APIENTRY * | glClear | ) |

glfuncs::void | ( | APIENTRY * | glClearColor | ) |

glfuncs::void | ( | APIENTRY * | glVertex3f | ) |

glfuncs::void | ( | APIENTRY * | glEnd | ) |

glfuncs::void | ( | APIENTRY * | glBegin | ) |

| Referenced by init_glfuncs().

## Member Data Documentation

GLuint glfuncs::_bigBase`[private]`

| Definition at line 82 of file glfuncs.h. Referenced by glfuncs(), glPrint(), and killFont().

GLuint glfuncs::_bigFont`[private]`

| Definition at line 84 of file glfuncs.h. Referenced by glfuncs(), and glPrint().

glfuncs * glfuncs::_instance = NULL`[static, private]`

| Definition at line 88 of file glfuncs.h. Referenced by instance().

GLuint glfuncs::_smallBase`[private]`

| Definition at line 83 of file glfuncs.h. Referenced by glfuncs(), glPrint(), and killFont().

GLuint glfuncs::_smallFont`[private]`

| Definition at line 85 of file glfuncs.h. Referenced by glfuncs(), and glPrint().

glfuncs::GLdouble

| Definition at line 31 of file glfuncs.h. Referenced by init_glfuncs().

glfuncs::GLenum

| Definition at line 27 of file glfuncs.h. Referenced by init_glfuncs().

const GLvoid glfuncs::GLfloat

| Definition at line 39 of file glfuncs.h.

const GLvoid* glfuncs::GLfloat

| Definition at line 39 of file glfuncs.h.

glfuncs::GLfloat

| Definition at line 20 of file glfuncs.h. Referenced by glfuncs(), init_glfuncs(), and SDL_GL_LoadTexture().

glfuncs::GLint

| Definition at line 33 of file glfuncs.h. Referenced by init_glfuncs().

glfuncs::GLsizei

| Definition at line 33 of file glfuncs.h. Referenced by init_glfuncs().

glfuncs::GLubyte

| Definition at line 25 of file glfuncs.h. Referenced by init_glfuncs().

GLuint* glfuncs::GLuint

| Definition at line 36 of file glfuncs.h. Referenced by buildFont(), init_glfuncs(), and SDL_GL_LoadTexture().

const GLuint glfuncs::long

| Definition at line 65 of file glfuncs.h.

const GLuint glfuncs::long

| Definition at line 65 of file glfuncs.h. Referenced by init_glfuncs().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/glfuncs.h
- C:/Documents and Settings/jegan/Desktop/projectX/glfuncs.cpp